Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository
Class ModeShapeConfiguration.GlobalProperties<ReturnType>

    java.lang.Object
      org.modeshape.repository.ModeShapeConfiguration.BaseReturnable<ReturnType>
          org.modeshape.repository.ModeShapeConfiguration.GraphReturnable<ReturnType,ModeShapeConfiguration.GlobalProperties<ReturnType>>
              org.modeshape.repository.ModeShapeConfiguration.GlobalProperties<ReturnType>

All Implemented Interfaces:
  ModeShapeConfiguration.Removable<ReturnType>, ModeShapeConfiguration.Returnable<ReturnType>, ModeShapeConfiguration.SetDescription<ModeShapeConfiguration.GlobalProperties<ReturnType>>, ModeShapeConfiguration.SetProperties<ModeShapeConfiguration.GlobalProperties<ReturnType>>

Enclosing class:
  ModeShapeConfiguration

    protected static class ModeShapeConfiguration.GlobalProperties<ReturnType>

extends ModeShapeConfiguration.GraphReturnable<ReturnType,ModeShapeConfiguration.GlobalProperties<ReturnType>>

Field Summary

Fields inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphReturnable
`batch, context, path`

Fields inherited from class org.modeshape.repository.ModeShapeConfiguration.BaseReturnable
`returnObject`

Constructor Summary
`protected` | `ModeShapeConfiguration.GlobalProperties(ReturnType returnObject, Graph.Batch batch, Path path, Name... names)`

Method Summary
`protected ModeShapeConfiguration.GlobalProperties<ReturnType>` | `thisType()`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphReturnable
`createIfMissing, createIfMissing, createIfMissing, getDescription, getName, getProperty, getProperty, remove, setDescription, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, subpath`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.BaseReturnable
`and`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModeShapeConfiguration.GlobalProperties

    protected ModeShapeConfiguration.GlobalProperties(ReturnType returnObject,
                                                      Graph.Batch batch,
                                                      Path path,
                                                      Name... names)

Method Detail

### thisType

    protected ModeShapeConfiguration.GlobalProperties<ReturnType> thisType()

  Specified by:
    `thisType` in class `ModeShapeConfiguration.GraphReturnable<ReturnType,ModeShapeConfiguration.GlobalProperties<ReturnType>>`
  See Also:
    `ModeShapeConfiguration.GraphReturnable.thisType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.